콘텐츠로 건너뛰기

Product Holding

통합

모델 id image-apps-v2/product-holding
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/product-holding?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "product_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.04 40 API 크레딧 이 페이지에서 실행

API 키 받기
Utility · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수
파일을 끌어다 놓거나

제품을 들고 있는 모습으로 묘사할 인물을 보여주는 URL입니다.

•필수
파일을 끌어다 놓거나

인물이 들고 있을 제품을 보여주는 URL입니다.

4K 출력의 가로세로 비율입니다.

POST /run/image-apps-v2/product-holding?wait=20 견적 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/product-holding?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "product_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Product Holding 정보

두 이미지가 필요합니다. 인물에는 `person_image_url`, 들고 있을 물건에는 `product_image_url`을 사용합니다. 출력에는 인물이 제품을 들고 있는 모습이 표시되며 마케팅 목업에 유용합니다. `aspect_ratio`는 출력 프레임을 설정합니다.

매개변수

이름유형 기본값허용됨 설명
person_image_url필수
유형url · image
제품을 들고 있는 모습으로 묘사할 인물을 보여주는 URL입니다.
product_image_url필수
유형url · image
인물이 들고 있을 제품을 보여주는 URL입니다.
aspect_ratio선택 사항
유형object
4K 출력의 가로세로 비율입니다.
aspect_ratio.ratio선택 사항
유형enum
기본값1:1
1:116:99:164:33:4
4K 해상도 출력의 가로세로 비율입니다.
필수

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/product-holding",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "product_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}인물이 제품을 자연스럽게 들고 있는 모습을 묘사한 이미지입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/image-apps-v2/product-holding.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt